Subject: Re: PASEMI: PA6T board doesn't boot with the RC1 of kernel 4.2 anymore

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 09 Jul 2015 17:53:46 +1000

On Thu, 2015-07-09 at 11:42 +1000, Michael Ellerman wrote:
> > 
> > There is no way that commit affects anything on that platform, it
> only
> > changes a file in arch/x86 that isn't compiled on a powerpc build.
> You
> > must have made a mistake in your bisection, possibly the one
> "sometimes
> > boots" should be considered good, but I can't say for sure.
> > 
> > Michael has a PA6T board at work, so I assume he will see if he can
> > reproduce.
> 
> Yeah I can't reproduce here.
> 
> I think you need to bisect again and look for the particular crash you
> reported. If you see that crash then mark it bad, else mark it good.

Michael, the crash looks like a neat NULL dereference, any chance you
can spot something in the code that might explain it ?

The strange thing is that the crash is in sb600_8259_cascade(), however
that function doesn't seem to exist in a current kernel tree, or if it
does it's somewhat hidden behind grep-defeating macros.

All I can find that relates to something called "sb600" is some quirks
in AHCI and x86 fixups that seem ATI related.

Christian, do you have some out of tree driver in that kernel ?

Ben.